import WBVector3 from '../../util/wbVector3';
export default class WitheredSoulLogComponent {
    onPlace(e) {
        try {
            const below = e.block.below();
            if (below?.permutation.matches('twb_wisu:withered_log')) {
                below.setPermutation(below.permutation.withState('twb_wisu:energized', true));
            }
        }
        catch {
            // ignore
        }
    }
    onTick(e) {
        const loc = new WBVector3(0.5, 1.0, 0.5).add(e.block);
        e.dimension.spawnParticle('twb_wisu:hollowed_wood_dust', loc);
        // e.dimension.spawnParticle('twb_wisu:hollowed_wood_sparks', loc);
    }
}
